# Class CIM_ExtendedStaticIPAssignmentSettingData
extends CIM_IPAssignmentSettingData

CIM_ExtendedStaticIPAssignmentSettingData defines a IP configuration which could be statically assigned to a Network Interface / LANEndpoint.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_SettingData
|
+--CIM_IPAssignmentSettingData
|
+--CIM_ExtendedStaticIPAssignmentSettingData

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | CIM_ExtendedStaticIPAssignmentSettingData defines a IP configuration which could be statically assigned to a Network Interface / LANEndpoint.
UMLPackagePath | string | CIM::Network::IP
Version | string | 2.32.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
GatewayAddresses | string[] |
Description | string | IP Addresses for the Gateways
Write | boolean | true
IPAddresses | string[] |
ArrayType | string | Indexed
Description | string | IP addresses to be statically assigned. Either IPv4 address array or IPv6 address array shall be represented by this property. If it is IPv6 array, then for each element, there will be a corresponding element in IPv6SubnetPrefixLengths array. If it is IPv4 array, then for each element, there will be a corresponding element in SubnetMasks array.
ModelCorrespondence | string | CIM_IPAssignmentSettingData.ProtocolIFType
Write | boolean | true
IPv6SubnetPrefixLengths | uint16[] |
ArrayType | string | Indexed
Description | string | IPv6SubnetPrefixLengths is used to identify the prefix length of the IPv6Addresses
ModelCorrespondence | string | CIM_ExtendedStaticIPAssignmentSettingData.IPAddresses
Write | boolean | true
SubnetMasks | string[] |
ArrayType | string | Indexed
Description | string | The mask for the IPv4 address.
ModelCorrespondence | string | CIM_ExtendedStaticIPAssignmentSettingData.IPAddresses
Write | boolean | true

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
AddressOrigin | uint16 | CIM_IPAssignmentSettingData
Caption | string | CIM_ManagedElement
ChangeableType | uint16 | CIM_SettingData
ConfigurationName | string | CIM_SettingData
Description | string | CIM_ManagedElement
ElementName | string | CIM_SettingData
InstanceID | string | CIM_SettingData
ProtocolIFType | uint16 | CIM_IPAssignmentSettingData

## Class Methods